Kerbal Space Program - Bug #1561

Keyboard map is wrong with Italian layout
10/17/2013 10:37 AM - Alby128

Status: Acknowledged Start date: 10/17/2013
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.22 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

Version: 0.22.0351
System: Mac OS X 10.8.5 supp.
Keyboard layout: Italian

The key map in the software seems wrong. Default controls do not work and when | try to edit them | get wrong results. For example,
the orbital map does not open if | press M key. When | tried to change the key to open the map, | found out that the game recognizes
the M key as a Comma. Also, other keys like W, 1 and \ are mapped incorrectly. It seems that the layout that the game uses is

QZERTY (like German keyboards) instead of the Italian layout, which is QWERTY with only some minor changes in the special keys.

Related issues:

Related to Kerbal Space Program - Bug #435: Unable to map non-English keys Updated 03/18/2013
Related to Kerbal Space Program - Feedback #3324: Full-Thrust Hotkey interfer... Needs Clarificati®08/2014
History

#1 - 11/15/2013 03:46 PM - Contez

| can confirm this, but actually it seems a little more complex than that.

The keyboard layout seems to be wrong when keys are used for actions or in the mappings of them, yet when for example I'm writing the name of a
ship key layout is correct.

The exemplify this: If I'm pressing W to make a kerbonaut walk it doesn't do anything (it actually sends the Z key), if | change the name of a rocket in
the VAB to something with W it's written correctly.

Version: 0.22

System: OS X 10.9 (unable to test on a linux pc for a few days)
Keyboard layout: italian

#2 -11/18/2013 10:23 AM - Contez

Seems a more common problem the thought, here the discussion in the forum:

http://forum.kerbalspaceprogram.com/threads/44280-Wrong-keyboard-layout-detected-Mac-OS
As one user there pointed out it KSP seems to revert automatically, in OSX case, to the language default (the user was french with a QWERTY
keyboard and reverted to the AZERTY layout), and maybe the italian default is incorrectly registered as QZERTY rather than the correct QWERTY.

A developer input would be really really great at this point...

#3 - 05/09/2015 07:29 AM - ale_stanga
i can confirm the the bug is still there; latest KSP demo, as of 09/05/2015 dd/mm/yyyy, on OS X 10.10.3.

#4 - 05/09/2015 08:25 PM - Alby128

ale_stanga wrote:

i can confirm the the bug is still there; latest KSP demo, as of 09/05/2015 dd/mm/yyyy, on OS X 10.10.3.

This bug makes this game completely unusable on non-English Mac OS X systems, | even uninstalled it after a few weeks, and yet they do not care
at all. | have no words.

#5 - 05/10/2015 09:28 AM - ale_stanga
http://forum.kerbalspaceprogram.com/threads/44280-Wrong-keyboard-layout-detected-Mac-OS

it's a Unity 3D bug:
http://forum.unity3d.com/threads/international-italian-keyboard-input-bug.180576/

here is a possible solution:
http://answers.unity3d.com/questions/179870/unity-thinks-i-have-z-instead-of-w-button.html
please, fix it; it's really annoying.

it's not only the W and Z, it's also the M key.

we don't use QZERTY keyboards on Mac anymore. it's almost 15 years :)

#6 - 07/17/2016 09:29 AM - TriggerAu

- Status changed from New to Needs Clarification

#7 - 11/01/2016 12:31 PM - TriggerAu
- Status changed from Needs Clarification to Acknowledged

- % Done changed from 0 to 100

Localization will be part of a future release and keyboard layouts and language are part of that process. Thanks for the report
